Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgText::Font::GlyphTexture Class Reference

Inheritance diagram for osgText::Font::GlyphTexture:

[legend]
List of all members.

## Public Member Functions
| GlyphTexture ()
const char * | className () const
| Return the name of the attribute's class type.
virtual int | compare (const osg::StateAttribute &rhs) const
| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.
void | setStateSet (osg::StateSet *stateset)
osg::StateSet * | getStateSet ()
const osg::StateSet * | getStateSet () const
void | setGlyphImageMargin (unsigned int margin)
| Set the margin around each glyph, to ensure that texture filtering doesn't bleed adjacent glyph's into each other.
unsigned int | getGlyphImageMargin () const
bool | getSpaceForGlyph (Glyph *glyph, int &posX, int &posY)
void | addGlyph (Glyph *glyph, int posX, int posY)
virtual void | apply (osg::State &state) const
| Bind the texture object.
## Protected Types
typedef std::vector< osg::ref_ptr< Glyph > > | GlyphRefList
typedef std::vector< const Glyph * > | GlyphPtrList
typedef osg::buffered_object< GlyphPtrList > | GlyphBuffer
## Protected Member Functions
virtual | ~GlyphTexture ()
## Protected Attributes
osg::StateSet * | _stateset
int | _margin
int | _usedY
int | _partUsedX
int | _partUsedY
GlyphRefList | _glyphs
GlyphBuffer | _glyphsToSubload

## Member Typedef Documentation

typedef osg::buffered_object< GlyphPtrList > osgText::Font::GlyphTexture::GlyphBuffer`[protected]`

typedef std::vector< const Glyph* > osgText::Font::GlyphTexture::GlyphPtrList`[protected]`

typedef std::vector< osg::ref_ptr<Glyph> > osgText::Font::GlyphTexture::GlyphRefList`[protected]`

## Constructor & Destructor Documentation

osgText::Font::GlyphTexture::GlyphTexture | ( |  | ) |

virtual osgText::Font::GlyphTexture::~GlyphTexture | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void osgText::Font::GlyphTexture::addGlyph | ( | Glyph * | glyph,
|  | int | posX,
|  | int | posY
| ) |

virtual void osgText::Font::GlyphTexture::apply | ( | osg::State & | state | ) | const`[virtual]`

| Bind the texture object. If the texture object hasn't already been compiled, create the texture mipmap levels. Reimplemented from osg::Texture2D.

const char* osgText::Font::GlyphTexture::className | ( |  | ) | const`[inline, virtual]`

| Return the name of the attribute's class type. Reimplemented from osg::Texture.

virtual int osgText::Font::GlyphTexture::compare | ( | const osg::StateAttribute & | rhs | ) | const`[virtual]`

| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.

unsigned int osgText::Font::GlyphTexture::getGlyphImageMargin | ( |  | ) | const`[inline]`

bool osgText::Font::GlyphTexture::getSpaceForGlyph | ( | Glyph * | glyph,
|  | int & | posX,
|  | int & | posY
| ) |

const osg::StateSet* osgText::Font::GlyphTexture::getStateSet | ( |  | ) | const`[inline]`

osg::StateSet* osgText::Font::GlyphTexture::getStateSet | ( |  | ) | `[inline]`

void osgText::Font::GlyphTexture::setGlyphImageMargin | ( | unsigned int | margin | ) | `[inline]`

| Set the margin around each glyph, to ensure that texture filtering doesn't bleed adjacent glyph's into each other.

void osgText::Font::GlyphTexture::setStateSet | ( | osg::StateSet * | stateset | ) | `[inline]`

## Member Data Documentation

GlyphRefList osgText::Font::GlyphTexture::_glyphs`[protected]`

GlyphBuffer osgText::Font::GlyphTexture::_glyphsToSubload`[mutable, protected]`

int osgText::Font::GlyphTexture::_margin`[protected]`

int osgText::Font::GlyphTexture::_partUsedX`[protected]`

int osgText::Font::GlyphTexture::_partUsedY`[protected]`

osg::StateSet* osgText::Font::GlyphTexture::_stateset`[protected]`

int osgText::Font::GlyphTexture::_usedY`[protected]`

The documentation for this class was generated from the following file:

- Font